<template>
  <v-card class="fill-height">
    <v-img :src="post.image" max-height="300px" contain />
    <v-card-title>
      {{ post.name }}
    </v-card-title>
    <v-divider></v-divider>
    <v-card-text>
      <div v-html="post.content" class="white--text" />
    </v-card-text>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import { BlogPostResponse } from '@/domain/response/blog/BlogPostResponse';

@Component({})
export default class Post extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly post!: BlogPostResponse;
}
</script>

<style scoped></style>
